#include "mydialog.h"
#include <QTextEdit>
#include <QClipboard>
#include <QApplication>
#include <QMimeData>
#include <QGridLayout>
#include <QDebug>

MyDialog::MyDialog(QWidget *parent)
    : QDialog(parent)
{
    qDebug() << QT_VERSION_STR;
    m_textEdit = new QTextEdit(this);

    QGridLayout* layout = new QGridLayout(this);
    layout->addWidget(m_textEdit);
    setLayout(layout);

    QObject::connect(QApplication::clipboard(), SIGNAL(dataChanged()),
                     this, SLOT(slotDataChanged()));
    setWindowTitle(QT_VERSION_STR);

}

void MyDialog::slotDataChanged()
{
    QClipboard* qclip = QApplication::clipboard();
    qDebug() << __FUNCTION__ ;
    const QMimeData* qmime = qclip->mimeData();
    QStringList qmime_types = qmime->formats();
    qDebug() << qmime_types;

    m_textEdit->setText("Connected");

}
